@media all and (max-width: 740px){
	.mobile-element {display:block !important;}
	.desktop-element {display:none !important;}
	#mobile_menu_wrapper {top:0px !important;padding: 5px 0px;background-color:#FFF;opacity:0.9;}
	.heading_spacer {height:55px !important;min-height:55px !important;}
	#page, #page_wrapper, #footer {min-width:0px !important;width:100% !important;}
	#footer {margin-bottom:200px !important;margin-top:10px !important;}
	#page_wrapper {box-sizing:border-box;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;margin-bottom:20px;}
	#page_wrapper .general_form_div {padding:0px !important;box-sizing:border-box;}
	#page_wrapper .general_content_div {padding:0px !important;width:100% !important;box-sizing:border-box;margin:0px !important;height:initial !important;}
	#page_wrapper .general_content_div, #page_wrapper .general_menu_div, #page_wrapper .action_menu_div, #page_wrapper .general_round_btn {border-radius:initial !important;-webkit-border-radius:initial !important;-moz-border-radius:initial !important; }
	#page_wrapper .general_form_div {border-radius:initial !important;-webkit-border-radius:initial !important;-moz-border-radius:initial !important; float:none !important;border:0px !important; }
	#page_wrapper .general_content_div:hover, #page_wrapper .general_shadow:hover, #page_wrapper .general_shadow {box-shadow:none !important;-webkit-box-shadow:none !important;-moz-box-shadow:none !important;}
	#page_wrapper .general_menu_div, #page_wrapper .action_menu_div {width:100% !important;float:none !important;padding:0px !important;}
	#page_wrapper .general_menu_div, #page_wrapper .action_menu_div {display:none;position:fixed;top:55px;left:0px;margin-top:0px;background:#EEE;height:calc(100% - 55px) !important;opacity:0.95;}
	#page_wrapper .menu_content_div {position:absolute;height:100%;width:100%;overflow-y:auto;}
	#page_wrapper .action_menu_div {font-size:1.5em;}
	#page_wrapper .general_menu_div.on, #page_wrapper .action_menu_div.on {display:table !important;}
	input, select {-webkit-border-radius:0px;/*-webkit-appearance:none;*/}
	input {-webkit-appearance:none;}
	#page_wrapper #buttonMenu {font-size:1em;position:fixed;background:rgba(255,255,255,0.7);bottom:0px;text-align:center;}
	#page_wrapper #buttonMenu input {margin-bottom:15px;margin-right:10px;width:40%;height:40px;}
	#page_wrapper .pagedisplay {padding: 0px 0px !important;display:inline-block !important;width:25% !important;}
	#summaryTable .expandmore, #summaryTable .summarymore {display:none !important;}
	#summaryTable {word-break:break-word !important;}
	#taskInvoiceStatusPreviewDiv {display:none !important;}
	#summaryTable .showPreviewDiv div {width:15px !important;}
	#page_wrapper .summarytd {border-width:3px;}
	
	#Pagination {position:fixed;bottom:0px;background:#EEE;white-space:nowrap;opacity:0.9;}
	.general_content_div .info_div {width:100% !important;}
	/** QUOTATION **/
	#page_wrapper #amount {width:40% !important;}
	#quotationform {margin-bottom:150px !important;}
	#quotationform .subtbl {width:100%;}
	.quotation_col {display:block !important;}
	.quotation_col.quotation_date {width:40% !important;margin-left:5px;text-align:left;}
	.quotation_col.quotation_no {width:100% !important;text-align:center;font-size:1.4em;font-weight:bold;}
	.quotation_col.quotation_company {width:100% !important;text-align:center;}
	.quotation_col.quotation_status {width:95% !important;text-align:right;}
	.quotation_col.quotation_issuer {width:95% !important;text-align:right;}
	.general_quotation_wrapper {width:100% !important;}
	/** END QUOTATION **/
	/** Task **/
	.task_col.task_projectid {width:25%;font-weight:bold;background:#EDEDFF;}
	.task_col.task_yearmonth {width:30%;visibility:hidden;}
	.task_col.task_quotationnum {width:40%;text-align:right;}
	.task_col.task_name {width:90%;display:block;font-size:1.5em;font-weight:bold;margin:auto;margin-top:10px;margin-bottom:10px;}
	.task_col.task_amount {width:50%;background:#FFEDED;display:block;margin:auto;margin-bottom:10px;}
	.task_col.task_jobcode {width:80%;text-align:left;float:left;margin-left:5px;}
	.task_col.task_po {width:35%;text-align:left;float:left;margin-left:5px;}
	.task_col.task_company {width:60% !important;text-align:right;font-weight:bold;float:right;margin-right:5px;}
	.task_col.task_admin {width:80%;text-align:right;float:right;margin-right:5px;}
	
	/** END Task **/
	/** Invoice Summary**/
	#page_wrapper #divFrmInvoiceDetail {padding:0px !important;box-sizing:border-box;border-radius:initial !important;-webkit-border-radius:initial !important;-moz-border-radius:initial !important; float:none !important;border:0px !important; margin-bottom:200px !important;}
	#divInvoiceSummary .cInvoiceTableHead {display:none;}
	#divInvoiceSummary table tr {border-width:5px !important;border-color:#000 !important;}
	.invoiceSummaryItem {position:relative;padding: 5px 0px;}
	.invoiceSummaryItem>div {display:block !important;}
	.invoiceSummaryItem>div:nth-child(2), .invoiceSummaryItem>div:nth-child(4), .invoiceSummaryItem>div:nth-child(6), .invoiceSummaryItem>div:nth-child(8), .invoiceSummaryItem>div:nth-child(10), .invoiceSummaryItem>div:nth-child(13), .invoiceSummaryItem>div:nth-child(15), .invoiceSummaryItem>div:nth-child(17) {display:none !important;}
	.invoiceSummaryItem>div:nth-child(1) {width:100% !important;margin-left:5px;}
	.invoiceSummaryItem>div:nth-child(3) {width:100% !important;text-align:center;font-size:2em;font-weight:bold; margin-top:10px;}
	.invoiceSummaryItem>div:nth-child(5) {width:100% !important;position:absolute;right:0;top:0;text-align:right;}
	.invoiceSummaryItem>div:nth-child(7) {width:70% !important;text-align:center;font-size:1.1em;font-weight:bold;background:#EDEDFF;margin:auto; margin-bottom:10px;}
	.invoiceSummaryItem>div:nth-child(9), .invoiceSummaryItem>div:nth-child(11) {width:70% !important;text-align:right;float:right;}
	.invoiceSummaryItem>div:nth-child(11) {margin-bottom:5px;}
	.invoiceSummaryItem>div:nth-child(14) {width:100% !important;text-align:center;font-size:1.1em;margin:10px 0px;clear:right;}
	.invoiceSummaryItem>div:nth-child(16) {display:inline-block !important;width:calc(98% / 2) !important; text-align:right;}
	.invoiceSummaryItem>div:nth-child(18) {display:inline-block !important;width:calc(98% / 2) !important;text-align:left;}
	
	/** End Invoice Summary **/
}
@media all and (min-width: 741px){
	.mobile-element {display:none !important;}	
}
/** End For Testing **/
@media all and (max-width:1200px){
	#topmenu li a div {max-width:80px;overflow:hidden !important;text-overflow:ellipsis;font-size:0.9em;}
	#topmenu li a div:hover {max-width: 200px;text-overflow:initial;transition:1.5s ease;}
	.topmenu_on {max-width: 500px !important;max-width:100% !important;}
}
@media all and (max-width:950px){
	#topmenu li a div {max-width:50px;font-size:0.9em;}
	/*.topmenu_on {max-width: 500px !important;max-width:100% !important;}*/
}
@media all and (max-width:850px){
	#topmenu li a div {max-width:30px;font-size:0.9em;}
	/*.topmenu_on {max-width: 500px !important;max-width:100% !important;}*/
}
@media all and (max-width:750px){
	#mobile_menu_wrapper {display:block !important;}
	#topmenu_wrapper {display:none;}
}
/** MOBILE MENU **/
#mobile_menu_wrapper {display:none;width:100%;position:fixed;z-index:9999;top:55px;overflow-y:auto;max-height:100%;-user-select:none;-webkit-user-select:none;-moz-user-select:none;}
.mobile_menu_div{position:relative;text-align:left;font-size:2.2em;}
.mobile_menu_btn{display:inline-block;margin-left:20px;padding:3px;border:2px solid #444;}
.mobile_menu_btn:hover {background-color:#444;}
.mobile_menu_btn i {cursor:pointer;}
.mobile_menu_btn:hover i {color:#FFF;}
/*.mobile_menu_btn:hover .mobile_menu {display:block;}*/
.mobile_menu {/*border-radius:15px 5px;*/border:3px solid #000/*#DD370F*/;background:#FFF6F6;padding-left:20px;opacity:0.95;background:#FFF;display:none;padding:0px;list-style-type: none;text-align: center;margin-top: 10px;margin-bottom: 0px;white-space:nowrap;}
.mobile_menu:hover {opacity:1;}
.mobile_menu li{border-top:1px dashed #999;opacity:0.8;}
.mobile_menu li:hover {opacity:1;}
.mobile_menu li:hover a div {color:#DD370F;}
/** END MOBILE MENU **/

/** MOBILE SUBMENU **/
.mobile_submenu {position:fixed;right:0;top:0;z-index:99990;margin-top:5px;margin-right:5px;}
.mobile_submenu div {border-radius:initial !important;-webkit-border-radius:initial !important;-moz-border-radius:initial !important; text-align:center;display:inline-block;width:50px;}
/** END MOBILE SUBMENU **/